Replace a driver’s limit overrides
curl --request PUT \
--url https://partners.chargeexpressltd.com/api/public/v1/drivers/{driverId}/limits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"limits": [
{
"amount": "<string>"
}
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({limits: [{amount: '<string>'}]})
};
fetch('https://partners.chargeexpressltd.com/api/public/v1/drivers/{driverId}/limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://partners.chargeexpressltd.com/api/public/v1/drivers/{driverId}/limits"
payload = { "limits": [{ "amount": "<string>" }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"object": "driver_limits",
"driver_id": "<string>",
"overrides": [
{
"object": "limit",
"metric": "kwh",
"period": "session",
"amount": "<string>",
"source": "fleet",
"used": "<string>",
"remaining": "<string>",
"period_start": "<string>",
"resets_at": "<string>"
}
],
"limits": [
{
"object": "limit",
"metric": "kwh",
"period": "session",
"amount": "<string>",
"source": "fleet",
"used": "<string>",
"remaining": "<string>",
"period_start": "<string>",
"resets_at": "<string>"
}
]
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}Limits
Replace a driver’s limit overrides
A null amount exempts the driver from that fleet default.
Requires the limits:write scope.
PUT
/
drivers
/
{driverId}
/
limits
Replace a driver’s limit overrides
curl --request PUT \
--url https://partners.chargeexpressltd.com/api/public/v1/drivers/{driverId}/limits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"limits": [
{
"amount": "<string>"
}
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({limits: [{amount: '<string>'}]})
};
fetch('https://partners.chargeexpressltd.com/api/public/v1/drivers/{driverId}/limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://partners.chargeexpressltd.com/api/public/v1/drivers/{driverId}/limits"
payload = { "limits": [{ "amount": "<string>" }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"object": "driver_limits",
"driver_id": "<string>",
"overrides": [
{
"object": "limit",
"metric": "kwh",
"period": "session",
"amount": "<string>",
"source": "fleet",
"used": "<string>",
"remaining": "<string>",
"period_start": "<string>",
"resets_at": "<string>"
}
],
"limits": [
{
"object": "limit",
"metric": "kwh",
"period": "session",
"amount": "<string>",
"source": "fleet",
"used": "<string>",
"remaining": "<string>",
"period_start": "<string>",
"resets_at": "<string>"
}
]
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}Authorizations
Your fleet API key, e.g. Authorization: Bearer cxk_live_…. Create keys in the fleet portal under Developers.
Path Parameters
Body
application/json
Maximum array length:
8Show child attributes
Show child attributes

